es différentes versions de lilypond

Bonne après-midi à tous,
Ma question sera brève: pourquoi n'existe-t-il pas de simples mises à jour de lilypond?
Je m'explique: il faut chaque fois désinstaller lilypond-x-y pour installer lilypond-x-(y+1) alors que beaucoup de programmes ou logiciels, suivant le vocabulaire employé, dans les autres domaines ne demandent pas la désinstallation de Kn pour passer à Kn+1 ou même à Kn+m.(m>1)
Merci Beaucoup.

Michel

Bonjour !

Pour ma petite part, je trouve cela pratique : on peut prendre le temps de s'habituer à la suivante, sans avoir à se grimper la marche sauvagement... par ailleurs, cela me permet de continuer à compiler les anciens fichiers sans avoir à les mettre à jour.

Cela dit, je ne sais pas répondre à ta question de fond, qui parle aussi de considérations de développement logiciel dans lequel je suis une crèpe (à la farine) complète :wink:

A bientôt !
JMarc

michel pondeville a écrit :

···

Bonne après-midi à tous,
Ma question sera brève: pourquoi n'existe-t-il pas de simples mises à jour de lilypond?
Je m'explique: il faut chaque fois désinstaller lilypond-x-y pour installer lilypond-x-(y+1) alors que beaucoup de programmes ou logiciels, suivant le vocabulaire employé, dans les autres domaines ne demandent pas la désinstallation de Kn pour passer à Kn+1 ou même à Kn+m.(m>1) Merci Beaucoup.
Michel
------------------------------------------------------------------------

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

A mon avis il ne faut pas confondre le gestionnaire d'un paquet au
sein d'une distribution quelconque avec l'équipe de développement d'un
logiciel.

L'équipe de développement d'un logiciel développe souvent une version
dite de développement avec toutes les nouvelles fonctions que
contiendra la prochaine version stable et une version stable où on
corrige des choses sans ajouter de nouvelle fonction.

Au contraire les personnes qui s'occupent de maintenir un paquet au
sein d'une distribution, s'assurent du fonctionnement du logiciel
livré via le gestionnaire de paquets, apt aptitude, synaptic, selon
les goûts et là les paquets dont LilyPond se mettent à jour
"automatiquement". Par exemple dans Debian ou Ubuntu le gestionnaire
de paquets propose LilyPond mais vu la vitesse de développement du
logiciel les versions proposées sont assez anciennes (2.8 de mémoire
sous Debian stable).

Du coup souvent on utilise les versions récentes et non encore
intégrées en aval du développement par les distributions. D'un point
de vue de la gestion des paquets c'est déconseillé d'ailleurs mais
tout le monde le fait en pratique au moins une fois pour des besoins
divers et variés.

C'est la compréhension que j'en ai ...

···

--
Michel Villeneuve

Tu peux trouver ce que tu cherches dans la doc : http://lilypond.org/doc/v2.13/Documentation/contributor/index

Aux 2.2 et 4. tu apprendras comment te mettre au git et à la compilation. Ainsi, plus besoin de tout retélécharger à chaque fois.

Bonsoir à tous les passionnés, (eh là! Dont je suis)
Je pense avoir plus ou moins compris Michel (tiens, c'est plus Valentin?).
Cependant d'autres pprogrammes rencontrent lesmêmes obstacles et ils les passent.
Bon, ce n'est pas létal, cela tient plutôt à mon tempérament: j'ai toujours la frousse quand je désinstalle un programme car je me dis :"si l'autre ne marche pas" vais-je savoir le désinstaller et remettre celui-ci.
Oublions ma question et non pas du tout une critique. Ce serait faire preuve d'ingratitude et d'imbécillité avec deux "l".
Merci Beaucoup.

Michel

···

----- Original Message ----- From: "Michel Villeneuve" <****@****>
To: "Lilypond" <lilypond-user-fr@gnu.org>
Sent: Thursday, February 03, 2011 3:16 PM
Subject: Re: es différentes versions de lilypond

A mon avis il ne faut pas confondre le gestionnaire d'un paquet au
sein d'une distribution quelconque avec l'équipe de développement d'un
logiciel.

L'équipe de développement d'un logiciel développe souvent une version
dite de développement avec toutes les nouvelles fonctions que
contiendra la prochaine version stable et une version stable où on
corrige des choses sans ajouter de nouvelle fonction.

Au contraire les personnes qui s'occupent de maintenir un paquet au
sein d'une distribution, s'assurent du fonctionnement du logiciel
livré via le gestionnaire de paquets, apt aptitude, synaptic, selon
les goûts et là les paquets dont LilyPond se mettent à jour
"automatiquement". Par exemple dans Debian ou Ubuntu le gestionnaire
de paquets propose LilyPond mais vu la vitesse de développement du
logiciel les versions proposées sont assez anciennes (2.8 de mémoire
sous Debian stable).

Du coup souvent on utilise les versions récentes et non encore
intégrées en aval du développement par les distributions. D'un point
de vue de la gestion des paquets c'est déconseillé d'ailleurs mais
tout le monde le fait en pratique au moins une fois pour des besoins
divers et variés.

C'est la compréhension que j'en ai ...

--
Michel Villeneuve

hakunamatata wrote:

Bon, ce n'est pas létal, cela tient plutôt à mon tempérament: j'ai
toujours
la frousse quand je désinstalle un programme car je me dis :"si l'autre ne
marche pas" vais-je savoir le désinstaller et remettre celui-ci.

alors là, il n'y a aucun problème:

au lieu de désinstaller une version on peut tout simplement la renommer:
Lilypond --> Lilypond2.13.47 et télécharger la nouvelle version.

si la nouvelle version pose des problèmes, on continue à renommer les
versions - et ainsi de suite.

chez moi j'ai toujours la version la plus nouvelle sous Lilypond et si je
veux voir ce qu'aurait donné une ancienne version je l'appelle par
"c:\…\Lilypond2.12.3\usr\bin\lilypond.exe" -pdf test.ly - et voilà!

···

--
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/es-differentes-versions-de-lilypond-tp5988853p5990723.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.